| optoICC

Public Member Functions | Public Attributes | List of all members
optoICC.icc4c.ICC4cBoard Class Reference
Inheritance diagram for optoICC.icc4c.ICC4cBoard:

## Public Member Functions
def | get_feedback_type (self, board)
def | __init__ (self, str or None port=None, int baudrate=256000, bool comm_lock=True, bool verbose=False, bool simple=False, bool board_reset=False, float inter_byte_timeout=0.2, device_platform=DevicePlatform.ALL, feedback_type='none')

## Public Attributes
| Status
| VectorPatternMemory
| TemperatureManager
| MiscFeatures
| OutputConditioningFilter
| Logger
| numberOfChannels
| Channel_0
| Channel_1
| Channel_2
| Channel_3
| channel
| EEPROM
| BoardEEPROM
| DeviceEEPROM
| WindowAverager
| WaveformAdaptation
| TempCompensation
| OutputMIMOTransform
| InputMIMOTransform
| SensorMIMOTransform
| CapacitiveFeedback
| HallFeedback
| InertialMeasurementUnit
| SarynControl
| HallReadout4Lyra
| ENCFeedback
| PreciSenFeedback
| AnalogFeedback
| feedback_type
| Feedback
| systems

## Constructor & Destructor Documentation

## ◆ __init__()

def optoICC.icc4c.ICC4cBoard.__init__ | ( |  | self,
|  | str or None | port = `None`,
|  | int | baudrate = `256000`,
|  | bool | comm_lock = `True`,
|  | bool | verbose = `False`,
|  | bool | simple = `False`,
|  | bool | board_reset = `False`,
|  | float | inter_byte_timeout = `0.2`,
|  |  | device_platform = `DevicePlatform.ALL`,
|  |  | feedback_type = `'none'`
| ) |  |

## Member Function Documentation

## ◆ get_feedback_type()

def optoICC.icc4c.ICC4cBoard.get_feedback_type | ( |  | self,
|  |  | board
| ) |  |

## Member Data Documentation

## ◆ AnalogFeedback

optoICC.icc4c.ICC4cBoard.AnalogFeedback

## ◆ BoardEEPROM

optoICC.icc4c.ICC4cBoard.BoardEEPROM

## ◆ CapacitiveFeedback

optoICC.icc4c.ICC4cBoard.CapacitiveFeedback

## ◆ channel

optoICC.icc4c.ICC4cBoard.channel

## ◆ Channel_0

optoICC.icc4c.ICC4cBoard.Channel_0

## ◆ Channel_1

optoICC.icc4c.ICC4cBoard.Channel_1

## ◆ Channel_2

optoICC.icc4c.ICC4cBoard.Channel_2

## ◆ Channel_3

optoICC.icc4c.ICC4cBoard.Channel_3

## ◆ DeviceEEPROM

optoICC.icc4c.ICC4cBoard.DeviceEEPROM

## ◆ EEPROM

optoICC.icc4c.ICC4cBoard.EEPROM

## ◆ ENCFeedback

optoICC.icc4c.ICC4cBoard.ENCFeedback

## ◆ Feedback

optoICC.icc4c.ICC4cBoard.Feedback

## ◆ feedback_type

optoICC.icc4c.ICC4cBoard.feedback_type

## ◆ HallFeedback

optoICC.icc4c.ICC4cBoard.HallFeedback

## ◆ HallReadout4Lyra

optoICC.icc4c.ICC4cBoard.HallReadout4Lyra

## ◆ InertialMeasurementUnit

optoICC.icc4c.ICC4cBoard.InertialMeasurementUnit

## ◆ InputMIMOTransform

optoICC.icc4c.ICC4cBoard.InputMIMOTransform

## ◆ Logger

optoICC.icc4c.ICC4cBoard.Logger

## ◆ MiscFeatures

optoICC.icc4c.ICC4cBoard.MiscFeatures

## ◆ numberOfChannels

optoICC.icc4c.ICC4cBoard.numberOfChannels

## ◆ OutputConditioningFilter

optoICC.icc4c.ICC4cBoard.OutputConditioningFilter

## ◆ OutputMIMOTransform

optoICC.icc4c.ICC4cBoard.OutputMIMOTransform

## ◆ PreciSenFeedback

optoICC.icc4c.ICC4cBoard.PreciSenFeedback

## ◆ SarynControl

optoICC.icc4c.ICC4cBoard.SarynControl

## ◆ SensorMIMOTransform

optoICC.icc4c.ICC4cBoard.SensorMIMOTransform

## ◆ Status

optoICC.icc4c.ICC4cBoard.Status

## ◆ systems

optoICC.icc4c.ICC4cBoard.systems

## ◆ TempCompensation

optoICC.icc4c.ICC4cBoard.TempCompensation

## ◆ TemperatureManager

optoICC.icc4c.ICC4cBoard.TemperatureManager

## ◆ VectorPatternMemory

optoICC.icc4c.ICC4cBoard.VectorPatternMemory

## ◆ WaveformAdaptation

optoICC.icc4c.ICC4cBoard.WaveformAdaptation

## ◆ WindowAverager

optoICC.icc4c.ICC4cBoard.WindowAverager

The documentation for this class was generated from the following file:

- C:/Users/filip.stary/Documents/145-713-00-OptoICC/src/main/python/optoICC/icc4c.py